*SAS Program 4.7-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
  Set Lib.ML_Chap4_data;

C_QOL=QOL;
if Time=0 and QOL>5 then C_QOL=5;
Time2=Time*Time;

Proc Mixed covtest noclprint IC;  
Class ID;
Model C_QOL= Trt|Time Trt|Time2/S DDFM=KR notest;
Random Int Time Time2/subject=ID G type=UN;
Run;


