*SAS Program 4.7.2-4;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
  Set Lib.ML_Chap4_data;

C_QOL=QOL; if Time = 0 and QOL > 5 then C_QOL= 5;
* Linear term;
optime0=0.3780; if Time =. then optime0=.;
if Time =0 then optime1=-.5669;
if Time=1 then optime1=-.3780;
if Time=2 then optime1=-.1890;
if Time=3 then optime1=0;
if Time=4 then optime1=0.1890;
if Time=5 then optime1=0.3780;
if Time=6 then optime1=0.5669;
* Quadratic term;
if Time=0 then optime2=0.5455;
if Time=1 then optime2=0;
if Time=2 then optime2=-.3273;
if Time=3 then optime2=-.4364;
if Time=4 then optime2=-.3273;
if Time=5 then optime2=0;
if Time=6 then optime2=0.5455;

Proc Mixed METHOD=REML covtest noclprint IC; 
  Class ID ;
  Model C_QOL= optime0 trt|optime1 trt|optime2/S DDFM=KR NOINT notest;
  Random int optime1 optime2/subject=ID G type=UN;
Run;
