*SAS Program 5.3.5-3;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data ML_logit; 
  Set Lib.ML_data_Chap5;

PROC NLMIXED;
PARMS B0=0 V_u0=1;
Z= B0 + u0j;
If (heavy_inj=1) then P=1/(1 + exp(-Z));
else P = 1 - (1/(1 + exp(-Z)));
LL = Log(P);
MODEL heavy_inj ~ GENERAL(LL);
RANDOM u0j~normal(0, V_u0) subject=site;
ESTIMATE 'ICC' V_u0/(V_u0+3.289868134);
Run;


