*SAS Program 5.3.6-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
 Set lib.ML_data2_Chap5;

Gdmc_age=age-33.70; 
PROC NLMIXED;
PARMS b0=-.08 b_trt=.47 b_t=-.21 b_trt_t=-.02 b_Gdmc_age=-0.15 b_gender=-0.15 b_edu=-0.12
      V_u0=.64 V_u1=.05;
logodds=b0+b_trt*trt+b_t*time+b_trt_t*trt*time+b_Gdmc_age*Gdmc_age+b_gender*gender
        +b_edu*edu+(u0+u1*time); 
odds=exp(logodds);
p=odds/(1+odds);
MODEL hospdum~binary(p);
RANDOM u0 u1 ~ normal([0,0],[ V_u0,0,V_u1]) subject=ID;
Run;

