*SAS Program 5.5.3-1;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME Lib 'd:\MLM\data';

Data data1;
 Set Lib.ML_data_Chap5;

PROC GLIMMIX noitprint noclprint; 
Class Site inject_c; 
MODEL inject_c=HIV_Region|ethnic gender gdmc_age highsch
 /S DIST=MULTI LINK=GLOGIT DDFM=BW;
RANDOM Int ethnic/subject=Site Group=inject_c; 
NLOPTIONS TECH= NRRIDG;
Run;

