*SAS Program 4.7.2-2;
OPTIONS NOCENTER PS=500 ls=150;
LIBNAME lib 'd:\MLM\data';

Data data1;
  Set Lib.ML_Chap4_data;
Timec=Time;
C_QOL=QOL;
if time = 0 and QOL > 5 then C_QOL= 5;
Time2= Time* Time;
if Time=0 then do; 
  ioptime1=-3; ioptime2=5;
end;
else if Time=1 then do;
  ioptime1=-2; ioptime2=0;
end;
else if Time=2 then do;
  ioptime1=-1; ioptime2=-3;
end;
else if Time=3 then do;
  ioptime1=0; ioptime2=-4;
end;
else if Time=4 then do;
  ioptime1=1; ioptime2=-3;
end;
else if Time=5 then do;
  ioptime1=2; ioptime2=0;
end;
else if Time=6 then do;
  ioptime1=3; ioptime2=5;
end;

Proc Mixed METHOD=REML covtest noclprint IC;  
  Class ID Timec;
  Model C_QOL= Trt|ioptime1 Trt|ioptime2/S DDFM=KR;
  Random Int ioptime1 ioptime2/subject=ID G type=UN;
Run;
